%define upstream_name    Signal-Mask
%define upstream_version 0.008

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Signal pending status made easy
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Signal/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(File::Spec)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(IPC::Signal)
BuildRequires: perl(POSIX)
BuildRequires: perl(Test::More)
BuildRequires: perl(Thread::SigMask)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch: noarch

%description
Signal::Mask is an abstraction around your process or thread signal mask.
It is used to fetch and/or change the signal mask of the calling process or
thread. The signal mask is the set of signals whose delivery is currently
blocked for the caller. It is available as the global hash %Signal::Mask.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc INSTALL LICENSE META.json Changes META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.8.0-5.mga6
+ Revision: 1033064
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.8.0-4.mga6
+ Revision: 946545
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.8.0-3.mga5
+ Revision: 750098
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.8.0-2.mga5
+ Revision: 686198
- Mageia 5 Mass Rebuild

* Sun Aug 03 2014 sander85 <sander85> 0.8.0-1.mga5
+ Revision: 659369
- update to 0.008

* Fri Apr 18 2014 jquelin <jquelin> 0.7.0-1.mga5
+ Revision: 616343
- imported package perl-Signal-Mask


* Fri Apr 18 2014 cpan2dist 0.007-1mga
- initial mageia release, generated with cpan2dist
